
function bima_parse

 infile = dialog_pickfile(title='Select BIMA summary text file',/must)

 if infile eq '' then return,-1

 openr,one,infile,/get

 temp = ''

 ngc = intarr(44)
 dis = fltarr(44)
 ah = fltarr(44)

 i = 0
 while not eof(one) do begin
  readf,one,temp
  beg = strmid(temp,0,3)
  if beg eq 'NGC' or beg eq 'IC_' then begin
   if beg eq 'NGC' then ngc[i] = fix(strmid(temp,4,4))
   if beg eq 'IC_' then ngc[i] = fix(strmid(temp,3,3))
   dis[i] = float(strmid(temp,50,4))
   if strlen(temp) ge 79 then begin
    ahstr = strmid(temp,74,5)
    if ahstr ne '     ' then ah[i] = float(ahstr)
   endif
   i = i+1
  endif
 endwhile

 result = fltarr(3,44)
 result[0,*] = ngc
 result[1,*] = dis
 result[2,*] = ah

 return,result
 
end

