pro dark_sub

 f = dialog_pickfile(/multiple,title='Select files to get dark-subtracted')
 dk = dialog_pickfile(title='Select dark frame')

 nf = n_elements(f)
 if nf le 0 or dk eq '' then begin
  print,'ERROR in quick_dark.pro: Missing file selection(s)!'
  retall
 endif

 print,'Reading '+dk
 fits_read,dk,dark,dhdr

 for i = 0,nf-1 do begin
  print,'Reading '+f[i]
  fits_read,f[i],im,hdr
  im = temporary(im)-dark
  sxaddpar,hdr,'HISTORY','dark subtracted'
  print,'Overwriting '+f[i]
  fits_write,f[i],im,hdr
 endfor

end
