
function quick_aper,rad=rad,pnm=pnm,bnm=bnm

 if strlowcase(!version.os_family) eq 'windows' then sls = '\' else sls = '/'

 if not keyword_set(rad) then rad = 3. / .204

 if not keyword_set(pnm) then pnm = dialog_pickfile(title='Pick Passion alpha FITS file',/must_exist)
 if pnm ne '' then begin
  if not keyword_set(bnm) then bnm = dialog_pickfile(title='Pick BIMA FITS file',/must_exist)
  if bnm ne '' then begin
   fits_read,bnm,bim,bhdr
   nan = where(1-finite(bim),nnan)
   if nnan gt 0 then bim[nan] = 0
   bsz = size(bim)
   fits_read,pnm,pim,phdr

   num = 0
   window,1,xs=2*bsz[1],ys=bsz[2]
   more = 'Yes'
   while more eq 'Yes' do begin
    huh2 = 'No'
    while huh2 eq 'No' do begin
     tv,bytscl(bim,min=min(bim),max=max(bim))
     tv,bytscl(pim,min=-.02,max=.2),bsz[1],0
     if num gt 0 then tvcircle,rad,x,y
     if num gt 0 then tvcircle,rad,x+bsz[1],y
     print,'Place an aperture'
     cursor,x1,y1,/dev
     x1 = x1 mod bsz[1]
     tvcircle,rad,x1,y1
     tvcircle,rad,x1+bsz[1],y1
     huh2 = dialog_message('Keep this aperture?',/ques)
    endwhile
    if num eq 0 then x = x1 else x = [x,x1]
    if num eq 0 then y = y1 else y = [y,y1]
    num = num+1
    more = dialog_message('Add another aperture?',/ques) 
   endwhile
  endif
 endif
 
 if num gt 0 then begin
  result = dblarr(8,num)
  result[0,*] = x
  result[1,*] = y
  xyad,bhdr,x,y,ra,dec
  result[2,*] = ra
  result[3,*] = dec
  aper,bim,x,y,flux,ferr,sky,serr,1,rad,[rad+5,rad+10],[0,0],/flux,/exact,setskyval=0
  result[4,*] = flux 
;  result[5,*] = flux*92./sxpar(bhdr,'bmaj')/sxpar(bhdr,'bmin')*4.45*!pi*(rad*sxpar(bhdr,'dist_mpc')*4.85*.204)^2
  result[5,*] = flux*92./sxpar(bhdr,'bmaj')/sxpar(bhdr,'bmin')/3600.^2*4.45*(sxpar(phdr,'dist_mpc')*4.85)^2
  aper,pim,x,y,flux,ferr,sky,serr,1,rad,[rad+5,rad+10],[0,0],/flux,/exact
  flux = flux*10^(.4*sxpar(phdr,'gal_extn'))
  result[6,*] = flux
;  result[7,*] = flux*sxpar(phdr,'photflam')*8.46*191.
  result[7,*] = flux*sxpar(phdr,'photflam')*8.46*191.*4.*!pi*(sxpar(phdr,'dist_mpc') * 3.085d24)^2 / 1.25d41
 endif else result=-1
 
 return,result

end
