
pro pv_photdisp,event,new=new

 widget_control,event.top,get_uvalue=state

 if n_tags(event) gt 1 then begin

  if keyword_set(new) then begin
   loc = fix([event.x,event.y] / (*state).zoom_level + (*state).view_offset+.5)
   obj_index = n_elements(*(*state).find_status)
  endif else begin
   obj_index = (*state).active_obj
   if obj_index ge 0 and obj_index lt (*state).n_objects[1] then $
      loc = fix((*(*state).find_dat)[0:1,obj_index]+.5) else loc = $
      fix([event.x,event.y] / (*state).zoom_level + (*state).view_offset+.5)
  endelse

  if obj_index ge 0 then begin
   if keyword_set(new) then begin
    apers = (*state).aper_defaults
    out = new
   endif else begin
    apers = (*(*state).aper_dat)[0:2,obj_index]
    out = [(*(*state).aper_dat)[3:6,obj_index],$
           (*(*state).find_dat)[0:3,obj_index]]
   endelse
  endif else begin
   apers = (*state).aper_defaults
  endelse

  boxsize = 2*(apers[2]+2)+1
  pzoom = 151. / boxsize
  temp = bytarr(boxsize,boxsize)

  x1 = (loc[0]-apers[2]-2)
  x2 = (loc[0]+apers[2]+2)
  y1 = (loc[1]-apers[2]-2)
  y2 = (loc[1]+apers[2]+2)

  px1 = x1>0 & px2 = x2<((*(*state).main_dat[3])[1]-1)
  py1 = y1>0 & py2 = y2<((*(*state).main_dat[3])[2]-1)

  piece = (*(*state).main_dat[5])[px1:px2,py1:py2]
  temp[0+px1-x1:boxsize+px2-x2-1,0+py1-y1:boxsize+py2-y2-1] = temporary(piece)
  temp = congrid(temporary(temp),151,151)
  curr_disp = !d.window
  wset,(*state).aper_id
  tv,temp
 endif else begin
  obj_index = -1l
  curr_disp = !d.window
  wset,(*state).aper_id
  erase
 endelse

 if obj_index ge 0 then begin

  plots,[75],[75],psym=7,/dev,color = (*state).plot_colors[1]
  for i = 0,2 do tvcircle,pzoom*apers[i],75,75,(*state).plot_colors[2-i]

  labs = strarr(8)
  for i=0,7 do labs[i] = strtrim(out[i],2)
  for i = 0,5 do widget_control,(*state).label[12+i],set_value=labs[i]
  widget_control,(*state).label[8],set_value=labs[6]
  widget_control,(*state).label[9],set_value=labs[7]

  for i = 0,3 do widget_control,(*state).ap_fields[i],sensitive=1
  for i = 0,2 do widget_control,(*state).ap_fields[i],set_value=apers[i]

 endif else begin

  for i = 0,5 do widget_control,(*state).label[12+i],set_value='-'
  widget_control,(*state).label[8],set_value='-'
  widget_control,(*state).label[9],set_value='-'
  for i = 0,3 do widget_control,(*state).ap_fields[i],sensitive=0

 endelse

 wset,curr_disp

end
