;------------------------------------------------------------
; PostScript Plot
; Letter=21.6x27.9 cm (8" x 11")
;------------------------------------------------------------
dpcm=1000.                      ; dots/cm
xpaper=21.6                     ; xsize of paper (cm)
ypaper=27.9                     ; ysize of paper (cm)
xmargin=2.5                     ; x-border (cm)
ymargin=2.5                     ; y-border (cm)

xoffset=(ypaper-xsize)/2.0              ; xoffset: center
yoffset=(xpaper-ysize)/2.0  
print,xoffset,yoffset
; yoffset: center
;xoffset = 0.
;yoffset = 2.
px0=xoffset & px1=px0+xsize
py0=yoffset & py1=py0+ysize
plotpos=dpcm*[px0,py0,px1,py1]

set_plot,'ps'
device,/landscape,xoff=0.,yoff=xpaper+5,xsize=ypaper,ysize=xpaper
;device,bits=8,/schoolbook,font_size=12,/color 
device,/color
loadct,3
device,encapsulated=0,preview=0
device,filename=psfilename
