; this function eliminates coordinates which overlap
; with existing positions

function clusteravoid,coords_orig,ra,dec,radius

      coords = coords_orig
      navoid = n_elements(ra)
      for i=0,navoid-1 do begin
           offs = coords
            offs[0,*]  = 3600.*(coords[0,*]-ra[i])*cos(2.*!pi*dec[i]/360.)
            offs[1,*]  = 3600.*(coords[1,*]-dec[i])
            dist = sqrt(offs[0,*]^2+offs[1,*]^2)
            index = where(dist gt radius[i])
            coords = coords[*,index]
       endfor

return,coords
end

        


