;----------------------------------------------------------------------------
;
;	makepoly
;
;	S. T. Megeath
;
;-----------------------------------------------------------------------------


pro makepoly,x,y,polyname,xrange=xrange,yrange=yrange
  
  openw,1,polyname
  oldx = -1000
  oldy = -1000
  firstx = -1000
  firsty = -1000    
  maxx = max(x)
  minx = min(x)
  maxy = max(y)
  miny = min(y)
  if keyword_set(xrange) then maxx = max(xrange) 
  if keyword_set(xrange) then minx = min(xrange) 
  if keyword_set(yrange) then miny = min(yrange) 
  if keyword_set(yrange) then maxy = max(yrange) 
  repeat begin
    cursor,pixx,pixy,4
    if(pixx le maxx and pixx ge minx and $
       pixy le maxy and pixy ge miny) then begin
       if(oldx ne -1000) then oplot,[pixx,oldx],[pixy,oldy]
       if(oldx eq -1000)  then begin
          firstx = pixx 
          firsty = pixy
       endif
       oldx = pixx
       oldy = pixy
       norep = 0
       help,pixx,pixy
       printf,1,pixx,pixy
    endif else begin
      norep = 1
      if(firstx ne -1000) then oplot,[oldx,firstx],[oldy,firsty]
    endelse
  endrep until norep

  printf,1,firstx,firsty
  close,1
return
end
