
function masked_median,imptrs,maskval=maskval

 nimages = n_elements(imptrs)
 if not keyword_set(maskval) then maskval=0
 sz = size(*imptrs[0])

 cube = ptr_new(make_array(sz[1],sz[2],nimages,type=sz[sz[0]+1],/nozero))
 for i = 0,nimages-1 do *cube[*,*,i] = temporary(*imptrs[i])
 
 result = make_array(sz[1],sz[2],type=sz[sz[0]+1],/nozero)

 for j = 0,limits[1]-1 do begin
  for i = 0,limits[0]-1 do begin
   w = where(*cube[i,j,*] ne maskval,wct)
   if wct gt 0 then result[i,j]=median((*cube[i,j,*])[w]) $
      else result[i,j]=maskval
  endfor
 endfor

 for i = 0,nimages-1 do *imptrs[i] = *cube[*,*,i]
 ptr_free,cube
  
 return,result

end
