
function parse_2mass2

 fnm = dialog_pickfile(title='Select 2MASS ASCII table (14 column)',/must_exist)

 if fnm eq '' then begin
  print,'Cancelled...'
  retall
 endif

 openr,one,fnm,/get
 temp = ''

 while not eof(one) do begin
  readf,one,temp
  if strmid(temp,0,1) ne '\' and strmid(temp,0,1) ne '|' then begin
   rastr = strmid(temp,1,10)
   decstr = strmid(temp,12,10)
   jstr = strmid(temp,23,6)
   hstr = strmid(temp,37,6)
   kstr = strmid(temp,51,6)
   if kstr ne '  null' and hstr ne '   null' and jstr ne '   null' then begin
    if n_elements(out) eq 0 then begin
     out = double([rastr,decstr,jstr,hstr,kstr])
    endif else begin
     tout = out
     out = dblarr(5,n_elements(tout[0,*])+1)
     out[0,0] = tout
     out[*,n_elements(tout[0,*])] = double([rastr,decstr,jstr,hstr,kstr])
    endelse 
   endif
  endif
 endwhile

 return,out

end
