
function pm_noise,pv_dat,err_cap

 sz = size(pv_dat)
 nct = 0

 if sz[1] ne 12 then begin
  print,'Not valid PV_DAT data'
  retall
 endif

 w = where(pv_dat[8,*] le err_cap,ngd)

 if ngd gt 0 then done = pv_dat[*,w] else begin
  print,'No objects have less than '+strtrim(err_cap)+' error'
  retall
 endelse

 return,done

end
