pro pv_find_init,state

*(*state).conv_dat[1] = -1

;make convolved image and convolved display
;uses my bastardized version of find.pro:
;pv_find_detect.pro and pv_find_search.pro
 widget_control,/hourglass
 print,'PhotVis: Convolving image with Gaussian kernel'
 pv_find_detect,(*state).main_dat[1],(*state).find_params,(*state).conv_dat[1],$
                (*state).find_dat,(*state).find_status,(*state).aper_dat

 (*state).n_objects[1] = n_elements(*(*state).find_status)

;set all apertures to their default values
 for i = 0,2 do (*(*state).aper_dat)[i,*]=replicate((*state).aper_defaults[i],$
    (*state).n_objects[1])

 print,'PhotVis: Sorting object detections'
 pv_find_search,(*state).find_dat,(*state).find_params,(*state).find_status
 w = where(*(*state).find_status le 0,tmp)
 (*state).n_objects[0] = tmp
 widget_control,(*state).label[4],set_value=strtrim((*state).n_objects[0],2)

 print,'PhotVis: Computing photometry of all detections'
 aper,*(*state).main_dat[1],(*(*state).find_dat)[0,*],(*(*state).find_dat)[1,*],$
      mag,errap,sky,skyerr,(*state).aper_defaults[3],(*state).aper_defaults[0],$
      (*state).aper_defaults[1:2],[0,0],/silent,/exact
 (*(*state).aper_dat)[3,*] = mag
 (*(*state).aper_dat)[4,*] = errap
 (*(*state).aper_dat)[5,*] = sky
 (*(*state).aper_dat)[6,*] = skyerr

 print,'PhotVis: Computing convolved image statistics'
 *(*state).conv_dat[4] = pv_get_stats((*state).conv_dat[1],autoscale=conv_mm)

;s***can autoscale for convolved image
 conv_mm = fix([-.1,1.]*(*state).find_params[1])

 print,'PhotVis: Scaling convolved image'
 *(*state).conv_dat[5] = bytscl(*(*state).conv_dat[1],min=conv_mm[0],max=conv_mm[1])
 *(*state).conv_disp[1] = float(conv_mm)
 widget_control,hourglass=0

end