pro pv_fitsread,state

;read in image using fits_read... gonna want fits_datmask
;here if we ever decide to take our weight planes into acct.
 main = (*state).main_dat
 widget_control,/hourglass
 print,'PhotVis: Reading in '+strtrim(*main[0],2)
 fits_read,*main[0],*main[1],*main[2]
 (*state).find_state[1] = 1
 widget_control,(*state).tlb,tlb_set_title=(*state).title+'; '+strtrim(*main[0],2)

;get image stats
 print,'PhotVis: Computing image statistics'
 *main[3] = size(*main[1])
 *main[4] = pv_get_stats(main[1],autoscale=minmax)

;make scaled image
 print,'PhotVis: Autoscaling image'
 *main[5] = bytscl(*main[1],min=minmax[0],max=minmax[1])
 *(*state).main_disp[1] = minmax

;zoom calc stuff
 zoomtest = 2^(findgen(18)-8)
 zoom = float((*state).port_size) / min((*main[3])[1:2])
 w = where(zoomtest ge zoom)
 (*state).zoom_level = 2^float(min(w)-8)
 (*state).zoom_default = (*state).zoom_level

;get offsets and run pv_dispcalc
 (*state).view_size = (*state).port_size / (*state).zoom_level
 (*state).view_offset = fix(((*main[3])[1:2]-(*state).view_size+1)/2)

;initialize the pan field and its pixmap
 (*state).field_scl = min(150. / (*main[3])[1:2])
 (*state).field_size = fix((*main[3])[1:2]*(*state).field_scl)

 for i=0,17 do begin
  if i le 1 or i eq 4 then val = '00000' else val = '0.0000000000'
  widget_control,(*state).label[i],set_value=val
 endfor
 widget_control,(*state).field_view,xs=(*state).field_size[0],ys=(*state).field_size[1]
 for i=0,17 do widget_control,(*state).label[i],set_value=' - '
 widget_control,(*state).label[4],set_value=strtrim((*state).n_objects[0],2)

 curr_disp = !d.window
 window,/pixmap,/free,xs=(*state).field_size[0],ys=(*state).field_size[1]
 if (*state).field_pix_id ne 0l then wdelete,(*state).field_pix_id
 (*state).field_pix_id = !d.window
 wset,curr_disp
 widget_control,hourglass=0

end
