;-------------------------------------------------------------
;
;	convert
;
;	this program is a subroutine for convert_map.pro
;
;	primary author: S. T. Megeath
;
;	parameters: x - vector containing input x-coords
;		    y - vector containing input y-coords
;		    x - vector containing output x-coords
;		    y - vector containing output y-coords
;		    conversion - integer (1-6) specifying
;			conversion
;
;	history:
;
;	5-9-2000 - 1st version released
;
;-------------------------------------------------------------

pro convert,x,y,xconv,yconv,conversion
; do conversion of 
  case conversion of
    1: jprecess,x,y,xconv,yconv
    2: bprecess,x,y,xconv,yconv
    3: begin 
	euler,x,y,xtmp,ytmp,2
	jprecess,xtmp,ytmp,xconv,yconv
       end        
    4: euler,x,y,xconv,yconv,2
    5: begin
        bprecess,x,y,xconv,yconv
        euler,x,y,xconv,yconv,1
       end
    6: euler,x,y,xconv,yconv,1
  endcase

  return
end
     
