pro irac_sort

 infiles = dialog_pickfile(/mult,title='Select IRAC images to sort')

 nf = n_elements(infiles)
 if infiles[0] eq '' then begin
  print,'ERROR in irac_sort: No files selected!'
  retall
 endif

 openw,one,'src.txt',/get
 openw,two,'bkg.txt',/get

 for i = 0,nf-1 do begin
  fits_read,infiles[i],im,hdr,/header_only
  guess = strtrim(sxpar(hdr,'OMODE'),2)
  if guess eq 'src' then lun = one else lun = two
  printf,lun,infiles[i]
 endfor

 free_lun,one,two

end