
; irac_spoffset - modify warping matrices for subpixel offset for mosaicing

pro irac_spoffset,im,hdr,mask,kx,ky,xoff,yoff

 if n_elements(kx) eq 0 or n_elements(ky) eq 0 then begin
  kx = fltarr(3,3)
  ky = fltarr(3,3)
  kx[0,1] = 1.
  ky[1,0] = 1.
 endif

 spxoff = xoff - round(xoff)
 spyoff = yoff - round(yoff)

;MOD
;Attempted fix for exact 0.5 subpixel offset...  round down instead of up...
 if abs(round(spxoff)) gt 0 then begin
  spxoff = -1.*spxoff
  xoff = long(xoff - spxoff) 
 endif else xoff = round(xoff)
 
 if abs(round(spyoff)) gt 0 then begin
  spyoff = -1.*spyoff
  yoff = long(yoff - spyoff)
 endif else yoff = round(yoff)

; xoff = round(xoff)
; yoff = round(yoff)
;ENDMOD

 kx[0,0] = kx[0,0] - spxoff
 ky[0,0] = ky[0,0] - spyoff

end
