
function irac_prettify

 def=2
 indir = dialog_pickfile(/dir,title='Select mosaic directory')

 f = findfile(indir+'ch*_mosaic.fits')

 fits_read,f[def],im,hdr
 im = median(im,5)
 sz = size(im)
 if sz[1] gt sz[2] then begin
  tmp = fltarr(sz[1],sz[1])
  off = (sz[1]-sz[2])/2
  tmp[0,off] = im
  sxaddpar,hdr,'CRPIX2',sxpar(hdr,'CRPIX2')+off
  sxaddpar,hdr,'NAXIS2',sz[1]
  im = temporary(tmp)
 endif else begin
  if sz[2] gt sz[1] then begin
   tmp = fltarr(sz[2],sz[2])
   off = (sz[2]-sz[1])/2
   tmp[off,0] = im
   sxaddpar,hdr,'CRPIX1',sxpar(hdr,'CRPIX1')+off
   sxaddpar,hdr,'NAXIS1',sz[2]
   im = temporary(tmp)
  endif
 endelse

 sz = size(im)
 getrot,hdr,rot1
 hrot,im,hdr,im1,hdr1,rot1,-1,-1,1,missing=0
 out = fltarr(sz[1],sz[2],4)
 out[*,*,3-def] = im1

 ind = [0,1,3]

 for j=0,2 do begin
  i = ind[j]
  fits_read,f[i],im,hdr
  im = median(im,3)
  hastrom,im,hdr,im2,hdr2,hdr1,missing=0,/interp
  out[*,*,3-i] = im2
 endfor

 w = where(out[*,*,0] le 0 or out[*,*,1] le 0 or out[*,*,2] le 0 or out[*,*,3] le 0) 
 for i=0,3 do begin
  tmp = reform(out[*,*,i])
  tmp[w] = 0
  out[*,*,i] = tmp
 endfor

 return,out

end
  
