
function pm_filter,pv_dat,rad,wcs=wcs

 sz = size(pv_dat)
 nct = 0
 rad = abs(rad)
 rad2 = rad/3600.

 if sz[1] ne 12 then begin
  print,'Not valid PV_DAT data'
  retall
 endif

 for i = 0l,sz[2]-1 do begin

  base = pv_dat[0:1,i]

  if keyword_set(wcs) then begin
   dist = sqrt(((pv_dat[0,*]-base[0])*cos(!pi/180.*pv_dat[1,*]))^2. +$
      (pv_dat[1,*]-base[1])^2.) 
   w = where(dist lt rad2,nw)
  endif else begin
   dist = sqrt((pv_dat[0,*]-base[0])^2. + (pv_dat[1,*]-base[1])^2.)
   w = where(dist lt rad,nw)
  endelse   

  if nw eq 1 then begin
   if nct eq 0 then out = i else out = [out,i]
   nct = nct + 1
  endif
 
 endfor
 
 if nct gt 0 then done = pv_dat[*,out] else done = -1

 return,done

end
