;..............................................................
;
;	peak temperature
;
;...............................................................

function peak_temp,cube,z,vel1=vel1,vel2=vel2

peak = 0*findgen(n_elements(cube[0,*,0]),n_elements(cube[0,0,*]),2)
diff = abs(z[1]-z[0])
channel1 = 0
channel2 = 0
for i = 0,n_elements(z)-1 do begin
  if (abs(vel1-z[i]) le diff/2) then channel1 = i
  if (abs(vel2-z[i]) le diff/2) then channel2 = i
endfor
if (channel1 lt channel2) then begin
  for i=0,n_elements(cube[0,*,0])-1 do begin
      for j = 0,n_elements(cube[0,0,*])-1 do begin
;         print,channel1,channel2,i,j
         peak[i,j,0] = max(cube[channel1:channel2,i,j],k)
         peak[i,j,1] = z[k+channel1]
      endfor
   endfor
endif
if (channel2 lt channel1) then begin
  for i=0,n_elements(cube[0,*,0])-1 do begin
      for j = 0,n_elements(cube[0,0,*])-1 do begin
;	 print,i,j,channel2,channel1
         peak[i,j,0] = max(cube[channel2:channel1,i,j],k)
         peak[i,j,1] = z[k+channel2]
      endfor
   endfor
endif
return,peak
end

