
function pm_mine,pmout,columns,chminmax=chminmax,ntmp
 
 nc = n_elements(columns)

 if not keyword_set(chminmax) then begin
  chminmax = fltarr(2,nc)
  chminmax[0,*] = -5
  chminmax[1,*] = 30
 endif

 w = where(pmout[columns[0],*] gt chminmax[0,0] and $
           pmout[columns[0],*] lt chminmax[1,0],ntmp)
 
 if ntmp eq 0 then begin
  print,'Sorting requirements overspecified, no matches'
  return,w
 endif

 if nc eq 1 then return,w

 for i=1,nc-1 do begin
  wtmp = where(pmout[columns[i],w] gt chminmax[0,i] and $
               pmout[columns[i],w] lt chminmax[1,i],ntmp)
  if ntmp gt 0 then w = w[wtmp] else begin
   w = [-1]
   print,'Sorting requirements overspecified, no matches'
   return,w
  endelse
 endfor

 return,w

end

