
pro wcs_rr,pnm=pnm,hnm=hnm,bnm=bnm,dat=dat,dir=dir

 if strlowcase(!version.os_family) eq 'windows' then sls = '\' else sls = '/'

 if not keyword_set(dir) then dir = dialog_pickfile(/directory,title='Select output directory')
 if dir eq '' then retall
 if not file_test(dir) then file_mkdir,dir

 huh = 'Yes'
 while huh eq 'Yes' do begin

  if not keyword_set(pnm) then pnm = dialog_pickfile(title='Pick Paschen alpha FITS file',/must_exist)
  if pnm ne '' then begin
   if not keyword_set(hnm) then hnm = dialog_pickfile(title='Pick H band FITS file',/must_exist)
   if hnm ne '' then begin
    if not keyword_set(bnm) then bnm = dialog_pickfile(title='Pick BIMA FITS file',/must_exist)
    if bnm ne '' then begin
     fits_read,bnm,bim,bhdr
     bsz = size(bim)
     hrebin,bim,bhdr,outsize=bsz[1:2]/.204
     bim = bim*.204^2
     bsz = size(bim)

     ;bim[where(1-finite(bim))]=max(bim[where(finite(bim))])
     ;for i=0,bsz[3]-1 do begin
     ; btmp = bim[*,*,i] & bhtmp = bhdr
     ; hrebin,btmp,bhtmp,outsize=bsz[1:2]*6
     ; bim[*,*,i] = btmp 
     ;endfor
     ;bhdr = bhtmp

     fits_read,pnm,im,hdr
     hastrom,im,hdr,bhdr,missing=0

     flg=0 & i=0l
     while not flg do begin
      flg = abs(total(im[i,*])) gt 0
      i = i+1
     endwhile
     x1 = i-2
     flg=0 & i=0l
     while not flg do begin
      flg = abs(total(im[*,i])) gt 0
      i = i+1
     endwhile
     y1 = i-2
     flg=0 & i=bsz[1]-1
     while not flg do begin
      flg = abs(total(im[i,*])) gt 0
      i = i-1
     endwhile
     x2 = i+2
     flg=0 & i=bsz[2]-1
     while not flg do begin
      flg = abs(total(im[*,i])) gt 0
      i = i-1
     endwhile
     y2 = i+2
       
     hextract,bim,bhdr,x1,x2,y1,y2
     hextract,im,hdr,x1,x2,y1,y2
     
     if keyword_set(dat) then begin
      sxaddpar,hdr,'dist_mpc',dat[1],'distance in megaparsecs'
      sxaddpar,hdr,'gal_extn',dat[2],'galactic extinction in mags'
     endif
     stuff = strsplit(pnm,sls,/extract)
     nm = stuff[n_elements(stuff)-1]
     fits_write,dir+nm,im,hdr

     fits_read,hnm,im,hdr
     hastrom,im,hdr,bhdr,missing=0
     stuff = strsplit(hnm,sls,/extract)
     nm = stuff[n_elements(stuff)-1]
     fits_write,dir+nm,im,hdr

     stuff = strsplit(bnm,sls,/extract)
     nm = stuff[n_elements(stuff)-1]
     fits_write,dir+nm,bim,bhdr
    endif
   endif
  endif
  
  if not keyword_set(pnm) then huh = dialog_message('Do another object?',/ques) else huh = 'No' 
 
 endwhile

end
