pro pv_gui_init,state

 print,'PhotVis: Initializing GUI'

 (*state).tlb = widget_base(app_mbar=top_menu,title=(*state).title,/column,$
                   /base_align_center)

 base = widget_base((*state).tlb,/row)
 desc = ['1\File',$
         '0\Open FITS Image',$
         '0\Restore Saved Session',$
         '0\Save Current Session',$
         '0\Save Photometry Results',$
         '0\Change IDL Working Directory',$
         '0\New PhotVis Session',$
         '2\Quit Current Session',$
         '1\Info',$
         '0\FITS Header',$
         '2\Statistics', $
         '1\Configuration',$
         '0\Object Detection',$
         '0\Aperture Photometry',$
         '2\Overplots', $
         '3\Help',$
         '2\PhotVis Help']

 (*state).top_menu = cw_pdmenu(top_menu,desc,/help,/mbar,/return_name)

;left half of window
 subbase_left = widget_base(base,/column,/base_align_center)
 input_base = widget_base(subbase_left,/row,/base_align_center,/frame)

;image display mode and scaling fields on left
 input = widget_base(input_base,/column,/base_align_right)
 (*state).mode = cw_bgroup(input,['Main Image','Convolved Image'],$
                     /exclusive,set_value=0,/frame,/return_name)
 (*state).scale[0] = cw_field(input,title='   Min: ',/return_events,value=-1.,$
                      /floating,xsize=12)
 (*state).scale[1] = cw_field(input,title='   Max: ',/return_events,value=1.,$
                      /floating,xsize=12)

;zoom buttons center...  overwrite input widget id
 input = widget_base(input_base,/column,/base_align_center)
 (*state).zoom_id = cw_bgroup(input,['Zoom In','Zoom Out','Zoom Home','Recenter'],$
                       /frame,/return_name,col=1)
 (*state).dmode = widget_droplist(input,value=['ImExam Mode','Multi-Object Mode'],sensitive=0)

;field window on right
 (*state).field_view = widget_draw(input_base,retain=2,xsize=(*state).field_size[0],$
                ysize=(*state).field_size[1],$
                /motion_events,/button_events,sensitive=0,$
                event_pro='photvis_field_event')

;right half of window...
 subbase_right = widget_base(base,/column,/base_align_center)

;image display window on bottom
 (*state).draw = widget_draw(subbase_left,retain=2,/motion_events,/button_events,$
                         xsize=(*state).port_size,ysize=(*state).port_size,$
                         event_pro='photvis_draw_event',sensitive=0)

 main_output_base = widget_base(subbase_right,/row)

;Overwrite a lot of these widget IDs...  I don't need 'em...

;left column
 crap_base = widget_base(main_output_base,/column,/base_align_center,/frame)

;aperture photometry stuff
 aper_view = widget_draw(crap_base,retain=2,xsize=151,ysize=151)
 (*state).ap_fields[0] = cw_field(crap_base,title='Aperture Radius: ',/return_events,$
                         value=(*state).aper_defaults[0],/floating,xsize=12)
 (*state).ap_fields[1] = cw_field(crap_base,title='Inner Sky Radius: ',/return_events,$
                         value=(*state).aper_defaults[1],/floating,xsize=12)
 (*state).ap_fields[2] = cw_field(crap_base,title='Outer Sky Radius: ',/return_events,$
                         value=(*state).aper_defaults[2],/floating,xsize=12)
 (*state).ap_fields[3] = widget_button(crap_base,value='Set Apers to Default')

;right column...
 crap_base = widget_base(main_output_base,/column,/base_align_center)

;some output labels
 output_base = widget_base(crap_base,/row,/base_align_center,/frame)
 fake1 = widget_base(output_base,/column,/base_align_right)
 fake = widget_label(fake1,value='Objects Detected:')
 fake = widget_label(fake1,value='Location:')
 fake = widget_label(fake1,value='Main Value:')
 fake = widget_label(fake1,value='Convolved Value:')
 output1 = widget_base(output_base,/column,/base_align_left)
 cnt_lab = widget_label(output1,value='0.0000000000')
 fake1 = widget_base(output1,/row,/base_align_center)
 x_lab = widget_label(fake1,value='00000')
 fake = widget_label(fake1,value=', ')
 y_lab = widget_label(fake1,value='00000')
 mainval_lab = widget_label(output1,value='0.0000000000')
 conval_lab = widget_label(output1,value='0.0000000000')

;some more output labels
 output_base = widget_base(crap_base,/row,/frame)
 fake1 = widget_base(output_base,/column,/base_align_right)
 fake = widget_label(fake1,value='Local Min:')
 fake = widget_label(fake1,value='Local Max:')
 fake = widget_label(fake1,value='Local Mean:')
 fake = widget_label(fake1,value='Local Median:')
 fake = widget_label(fake1,value="Local Std Dev'n:")
 output1 = widget_base(output_base,/column,/base_align_left)
 lmin_lab = widget_label(output1,value='0.0000000000')
 lmax_lab = widget_label(output1,value='0.0000000000')
 lmean_lab = widget_label(output1,value='0.0000000000')
 lmed_lab = widget_label(output1,value='0.0000000000')
 lstd_lab = widget_label(output1,value='0.0000000000')

 output_base = widget_base(crap_base,/row,/base_align_center,/frame)
 fake1 = widget_base(output_base,/column,/base_align_right)
 fake = widget_label(fake1,value='Position:')
 fake = widget_label(fake1,value='Magnitude:')
 fake = widget_label(fake1,value='Sky Value:')
 fake = widget_label(fake1,value='Rnd, Shrp:')

 output1 = widget_base(output_base,/column,/base_align_center)
 xct_lab = widget_label(output1,value='0.0000000000')
 mag_lab = widget_label(output1,value='0.0000000000')
 sky_lab = widget_label(output1,value='0.0000000000')
 rnd_lab = widget_label(output1,value='0.0000000000')

 fake1 = widget_base(output_base,/column,/base_align_center)
 fake = widget_label(fake1,value=',')
 fake = widget_label(fake1,value='+-')
 fake = widget_label(fake1,value='+-')
 fake = widget_label(fake1,value=',')
 output1 = widget_base(output_base,/column,/base_align_center)
 yct_lab = widget_label(output1,value='0.0000000000')
 mer_lab = widget_label(output1,value='0.0000000000')
 ser_lab = widget_label(output1,value='0.0000000000')
 shp_lab = widget_label(output1,value='0.0000000000')

 (*state).label = [x_lab,y_lab,mainval_lab,conval_lab,$
                   cnt_lab,lmean_lab,lmed_lab,lstd_lab, $
                   rnd_lab,shp_lab,lmin_lab,lmax_lab, $
                   mag_lab,mer_lab,sky_lab,ser_lab, $
                   xct_lab,yct_lab]

 imexam_view = widget_draw(subbase_right,retain=2,xsize=450,ysize=400)

;realize the tlb
 widget_control,(*state).tlb,/realize

;set event handler for mode buttons
 widget_control,(*state).mode,event_pro='photvis_mode_event'
 widget_control,(*state).zoom_id,event_pro='photvis_zoom_event'

;get widget id of tlb into title bar for command line data access
 (*state).title = (*state).title + ': WID# ' + strtrim((*state).tlb,2)
 widget_control,(*state).tlb,tlb_set_title=(*state).title

;get all window ids
 curr_disp = !d.window
 widget_control,(*state).draw,get_value=win_id
 wset,win_id

; LOGO

;7-30-03 - let's play with logos...  might separate this code later...
 paths = strsplit(!path,':',/extract)
 wl = where(strmatch(paths,'*photvis') eq 1,nph)
 goodlogo = 0
 if nph gt 0 then begin
  for i = 0,nph-1 do begin
   out = file_search(paths(wl[i]),'logos/*.jpg',count=nlg)
   if nlg gt 0 then begin
    if n_elements(logos) eq 0 then logos = out else logos = [logos,out]
   endif
  endfor 
  nlg = n_elements(logos)
  if nlg gt 0 then begin
   lnames = strarr(nlg)
   for i=0,nlg-1 do begin
    if strlowcase(!version.os_family) eq 'windows' then sls = '\' else sls = '/'
    out = strsplit(logos[i],sls,/extract)
    lnames[i] = out[n_elements(out)-1]
   endfor
   logos = logos[uniq(lnames)]
  endif
  nlg = n_elements(logos)
  if nlg gt 0 then begin
   goodlogo = 1
   item = fix(systime(/seconds) mod nlg)
   read_jpeg,logos[item],jim,true=3
   jsz = size(jim)
   if max(jsz[1:2]) ne 500 then begin
    sf = max(jim[1:2]) / 500.
    jim = congrid(jim,jsz[1]/sf,jsz[2]/sf,3)
   endif
   jsz = size(jim)
   xycorn = [512-jsz[1],512-jsz[2]]/2.
   tv,jim,xycorn[0],xycorn[1],true=3
  endif
 endif 

 if not goodlogo then begin
  xyouts,align=.5,255,400,'Welcome to PhotVis',charsize=3,charthick=2,/dev
  xyouts,align=.5,255,300,'(Press File to begin)',charsize=1.5,/dev
  xyouts,align=.5,255,200,'(A sexy logo will go here soon...)',charsize=1.5,/dev
  xyouts,align=.5,255,150,"(...so don't you worry)",charsize=1.5,/dev
 endif

; END LOGO

 widget_control,imexam_view,get_value=plot_id
 widget_control,(*state).field_view,get_value=field_id
 widget_control,aper_view,get_value=aper_id
 (*state).aper_id = aper_id
 (*state).win_id = win_id
 (*state).plot_id = plot_id
 (*state).field_id = field_id
 window,/pixmap,/free,xs=(*state).port_size,ys=(*state).port_size
 (*state).clip_id = !d.window
 wset,curr_disp

;set all the labels correctly
 for i = 0,17 do widget_control,(*state).label[i],set_value = ' - '
 widget_control,(*state).label[4],set_value=strtrim((*state).n_objects[0],2)

;make aper fields insensitive
 for i = 0,3 do widget_control,(*state).ap_fields[i],sensitive=0
 for i = 0,1 do widget_control,(*state).scale[i],sensitive=0
 widget_control,(*state).mode,sensitive=0
 widget_control,(*state).dmode,sensitive=0
 widget_control,(*state).zoom_id,sensitive=0

 temp = [(*state).scale,(*state).dmode,(*state).zoom_id,(*state).field_view,(*state).draw]
 (*state).main_ids = temp
 temp = [(*state).mode]
 (*state).conv_ids = temp

;assign state to uvalue of the tlb
 widget_control,(*state).tlb,set_uvalue=state

end


