
pro pv_save_session,state

 fname = dialog_pickfile(/write,path=(*state).path,dialog_parent=(*state).tlb,$
                         title='PhotVis: Save PhotVis Session (IDL "SAVE") As')
 if fname eq '' then begin
  huh = dialog_message(/info,'PhotVis session save cancelled...')
  return
 endif
 if file_test(fname) then begin
  huh = dialog_message(/question,'File Exists: Overwrite selected file?',$
                       dialog_parent=(*state).tlb)
  if huh eq 'No' then return
 endif
 widget_control,/hourglass

 valid = 1

 if n_elements(*(*state).main_dat[0]) gt 0 then begin
  im_name = *(*state).main_dat[0]
  sim_name = ',im_name'
 endif else sim_name = ''

 if n_elements(*(*state).main_disp[1]) gt 0 then begin
  im_scl = *(*state).main_disp[1]
  sim_scl = ',im_scl'
 endif else sim_scl = ''

 if n_elements(*(*state).find_dat) gt 0 then begin
  find_dat = *(*state).find_dat
  sfind_dat = ',find_dat'
 endif else sfind_dat = ''

 if n_elements(*(*state).find_status) gt 0 then begin
  find_status = *(*state).find_status
  sfind_status = ',find_status'
 endif else sfind_status = ''

 if n_elements(*(*state).aper_dat) gt 0 then begin
  aper_dat = *(*state).aper_dat
  saper_dat = ',aper_dat'
 endif else saper_dat = ''

 path = (*state).path
 plot_state = (*state).plot_state
 plot_params = (*state).plot_params
 find_state = (*state).find_state
 find_params = (*state).find_params
 find_defaults = (*state).find_defaults
 aper_defaults = (*state).aper_defaults
 active_obj = (*state).active_obj
 n_objects = (*state).n_objects
 centerboxsize = (*state).centerboxsize

 main_save = 'save,file=fname,path,plot_state,plot_params,find_state,valid,'+$
    'find_params,find_defaults,aper_defaults,active_obj,n_objects,centerboxsize'

 test = execute(main_save+sim_name+sim_scl+sfind_dat+sfind_status+saper_dat)

 if test then huh = dialog_message(/info,'PhotVis session saved successfully!')$
    else huh = dialog_message('ERROR!  PhotVis session not saved!')

 widget_control,hourglass=0

end
