;-----------------------------------------------------------
;
;    interp_pix - for each pixel index of the master array,
;                 this program finds the factional pixel index
;                 of the slave array at which the slave array
;                 equals the master. A linear interpolation is used.
;                  The input parameters are:
;
;                 master - master array
;                 slave - slave array
;
;                 an array the size of the master value is returned
;
;------------------------------------------------------------

function interp_pix,master,slave

; find step sizes of master and slave
  ds = slave[1]-slave[0]

; calculate pixels
  pix = (master-slave[0])/ds

  return,pix
end

