
;gotta fix the CTYPEs for IRAC mosaics made with irac_mosaic.pro pre-3/2/04

pro rob_patch1,infiles=infiles,nobackup=nobackup

 if not keyword_set(infiles) then begin 
  infiles = dialog_pickfile(/mult,/must,title='Select FITS IRAC mosaics to patch')
  if infiles[0] eq '' then begin
   print,'Cancelled...'
   retall
  endif
 endif

 nf = n_elements(infiles)

 for i=0,nf-1 do begin
  if not keyword_set(nobackup) then begin
   print,'Copying '+infiles[i]+' to '+infiles[i]+'.backup'
   file_copy,infiles[i],infiles[i]+'.backup'
  endif
  fits_datmask,infiles[i],im,hdr,mask
  sxaddpar,hdr,'CTYPE1',strmid(sxpar(hdr,'CTYPE1'),0,8)
  sxaddpar,hdr,'CTYPE2',strmid(sxpar(hdr,'CTYPE2'),0,8)

  print,'Writing patched image to '+infiles[i]
  fits_datmask,/write,infiles[i],im,hdr,mask

 endfor

end
