
pro irac_deband_sharp

 function irac_deband,data,xcent,ycent,r0=r0,r1=r1

 if not keyword_set(r0) then r0 = 10. else r0 = float(r0)
 if not keyword_set(r1) then r1 = 15. else r1 = float(r1)
; cent=[81,132]
 cent=[xcent,ycent]

;phase 1, sharp column or row features

 im1z=data&for i=0,255 do im1z[i,*]=data[i,*]-median(reform(data[i,*]),15)

 im1y=data&for i=0,255 do im1y[*,i]=data[*,i]-median(reform(data[*,i]),15)

 sharp = abs(im1y-im1z)

; crap1=[indgen(cent[0]-13),indgen(256-cent[0]-16)+cent[0]+16]
; crap2=[indgen(cent[1]-19),indgen(256-cent[1]-20)+cent[1]+20]
 crap1=[indgen(cent[0]-r0),indgen(256-cent[0]-r0)+cent[0]+r0]
 crap2=[indgen(cent[1]-r0),indgen(256-cent[1]-r0)+cent[1]+r0]

 crap=data*0

; crap[crap1,cent[1]-11:cent[1]+10]=sharp[crap1,cent[1]-11:cent[1]+10]
; crap[cent[0]-7:cent[0]+15,crap2]=sharp[cent[0]-7:cent[0]+15,crap2]
 crap[crap1,cent[1]-r0:cent[1]+r0]=sharp[crap1,cent[1]-r0:cent[1]+r0]
 crap[cent[0]-r0:cent[0]+r0,crap2]=sharp[cent[0]-r0:cent[0]+r0,crap2]

 data2 = data-crap

; tvimage,bytscl(data2,min=0,max=400),/keep
; wait,2

end
